Subject: Re: Notification: incoming/697

From: Dominik Vogt <[email-masked]>
Date: Fri, 2 Mar 2001 16:55:20 +0100

On Tue, Feb 20, 2001 at 05:08:06PM -0600, fvwm-bug wrote:
> FVWM Bug Tracking notification
> 
> new message incoming/697
> 
> Full_Name: David O'Shea
> Version: 2.0.46
> CVS_Date: 
> OS: SunOS 5.6
> X_Server: NCD terminal
> Submission from: (NULL) (171.71.161.110)
> 
> 
> Steps to create error:
> 1. run vncserver, which creates an Xvnc server running fvwm2
> 2. execute vncclient -fullscreen localhost:1 to connect to Xvnc
>    server from xterm under fvwm2 on same machine
> 3. press "Setup" key to start "NCD User Services: Console"
> 
> At this point, however I close the NCD User Services (pressing
> Setup key, using window manager close function), my full-screen
> VNC session no longer accepts keystrokes.  I can move the
> pointer around and the focus moves, so fvwm2 running under Xvnc
> is still working, but when I type nothing appears.  There is no
> way of knowing if my "local" fvwm2 (the one that I ran the
> vncclient from, not the one running under the server) is alive
> as I'm running full-screen.  If I don't full-screen the VNC
> session I don't have any problems at all.
> 
> My reason for thinking that fvwm2 is the problem is that if I
> use twm in place of either fvwm2 (i.e. I change my .vnc/xstartup
> so that Xvnc starts twm, or I change my .xsession so that my
> window manager I get on login is twm) I don't get the problem
> either.
> 
> Note that I am running both copies of fvwm2 (with one I use
> "fvwm2 -f ~/.fvwm2rc.basic" though) on the same machine.  Is
> this a problem?

Could you please try this with the latest beta realease and see if
the problem persists?  If it does, can you provide the config
files for vnc and fvwm so I can try to reproduce this?

Does this happen with other applications too?  

Is this 'NCD' free software so I can get it for my system?

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]